---
updatedAt: 2026-04-05T19:47:05.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Reset Bridge Connections at Server

Reset the active tunnel connections for a specific bridge on this Bridge Server instance. This operation terminates existing tunnel connections and allows new ones to be established.

**Note:** In High Availability (HA) deployments, this endpoint only affects the specific instance that handles the request.

**Security:** Requires Platform Admin privileges.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Bridge API",
    "description": "Manage secure, encrypted connections between JFrog Platform Deployments (JPDs) in hybrid topologies. For more information, see [JFrog Bridge](https://docs.jfrog.com/administration/docs/manage-jfrog-bridges).\n\n**Note:** Bridges defined directly in `system.yaml` appear in the Bridges table but cannot be managed using the Platform interface or the Bridge APIs. Use only the JFrog Platform interface or the Bridge APIs to create and manage Bridges.\n\n**Authentication:** Access Tokens as bearer token in authorization header (`Authorization: Bearer <token>`).\n\n**Security:** Unless otherwise specified, all APIs require Platform Admin privileges.\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}",
      "description": "JFrog Platform Server",
      "variables": {
        "protocol": {
          "default": "https",
          "enum": [
            "http",
            "https"
          ]
        },
        "host": {
          "default": "demo.jfrog.io",
          "description": "JFrog Platform hostname"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Bridge Server",
      "description": "Manage bridge connections, blacklists, and diagnostics on the SaaS JPD."
    }
  ],
  "security": [
    {
      "AdminBearerAuth": []
    }
  ],
  "paths": {
    "/bridge-server/api/v1/bridges/{bridge_id}/reset": {
      "post": {
        "tags": [
          "Bridge Server"
        ],
        "summary": "Reset Bridge Connections at Server",
        "description": "Reset the active tunnel connections for a specific bridge on this Bridge Server instance. This operation terminates existing tunnel connections and allows new ones to be established.\n\n**Note:** In High Availability (HA) deployments, this endpoint only affects the specific instance that handles the request.\n\n**Security:** Requires Platform Admin privileges.\n",
        "operationId": "resetBridgeServer",
        "parameters": [
          {
            "name": "bridge_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The unique identifier of the Bridge"
          }
        ],
        "responses": {
          "204": {
            "description": "Success - Bridge connection pool reset"
          },
          "401": {
            "description": "Unauthorized user"
          },
          "403": {
            "description": "Action not permitted for this account"
          },
          "404": {
            "description": "Specified bridge not found"
          },
          "500": {
            "description": "Internal Server Error"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "AdminBearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token with admin permissions as bearer token",
        "bearerFormat": "JWT"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```